/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.modules.contacttracing.manager;

import org.olat.core.commons.persistence.DB;
import org.olat.modules.contacttracing.ContactTracingLocation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Initial date: 13.10.20<br>
 *
 * @author aboeckle, alexander.boeckle@frentix.com, http://www.frentix.com
 */
@Service
public class ContactTracingEntryDAO {

    @Autowired
    private DB dbInstance;

    public long getRegistrations(ContactTracingLocation location) {
        String query = new StringBuilder()
                .append("select count(entry) from contactTracingEntry entry ")
                .append("where entry.location=:locationToCheck")
                .toString();

        return dbInstance.getCurrentEntityManager()
                .createQuery(query, Long.class)
                .setParameter("locationToCheck", location)
                .getSingleResult();
    }
}
