/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * 12.10.2011 by frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.modules.vitero;

import java.util.List;

/**
 * 
 * Description:<br>
 * the list of Time Zone which Vitero accepts
 * 
 * <P>
 * Initial Date:  12 oct. 2011 <br>
 *
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 */
public class ViteroTimezoneIDs {

	public static final List<String> TIMEZONE_IDS = List.of(
		"Pacific/Apia",
		"Pacific/Fakaofo",
		"America/Adak",
		"Pacific/Marquesas",
		"Pacific/Gambier",
		"America/Anchorage",
		"America/Ensenada",
		"Pacific/Pitcairn",
		"America/Dawson",
		"America/Chihuahua",
		"America/Boise",
		"America/Dawson_Creek",
		"America/Belize",
		"Pacific/Easter",
		"America/Chicago",
		"America/Cancun",
		"America/Havana",
		"America/Detroit",
		"America/Atikokan",
		"America/Caracas",
		"America/Glace_Bay",
		"America/Campo_Grande",
		"America/Goose_Bay",
		"America/Anguilla",
		"America/Asuncion",
		"America/Santiago",
		"Atlantic/Stanley",
		"America/St_Johns",
		"America/Montevideo",
		"America/Miquelon",
		"America/Sao_Paulo",
		"America/Godthab",
		"America/Argentina/Buenos_Aires",
		"America/Araguaina",
		"America/Noronha",
		"Atlantic/Cape_Verde",
		"America/Scoresbysund",
		"Africa/Abidjan",
		"Atlantic/Canary",
		"Africa/Windhoek",
		"Africa/Algiers",
		"Africa/Ceuta",
		"Africa/Tunis",
		"Africa/Cairo",
		"Asia/Amman",
		"Asia/Gaza",
		"Asia/Beirut",
		"Asia/Jerusalem",
		"Europe/Kaliningrad",
		"Asia/Damascus",
		"Asia/Istanbul",
		"Africa/Blantyre",
		"Africa/Addis_Ababa",
		"Europe/Moscow",
		"Asia/Riyadh87",
		"Asia/Tehran",
		"Asia/Dubai",
		"Asia/Baku",
		"Indian/Mauritius",
		"Asia/Yerevan",
		"Asia/Kabul",
		"Asia/Aqtau",
		"Asia/Yekaterinburg",
		"Asia/Calcutta",
		"Asia/Katmandu",
		"Asia/Novosibirsk",
		"Asia/Almaty",
		"Asia/Rangoon",
		"Asia/Bangkok",
		"Asia/Krasnoyarsk",
		"Asia/Brunei",
		"Asia/Irkutsk",
		"Australia/Eucla",
		"Asia/Dili",
		"Asia/Yakutsk",
		"Australia/Darwin",
		"Australia/Adelaide",
		"Asia/Sakhalin",
		"Australia/Brisbane",
		"Australia/ACT",
		"Australia/LHI",
		"Pacific/Efate",
		"Asia/Magadan",
		"Pacific/Norfolk",
		"Asia/Anadyr",
		"Pacific/Fiji",
		"Pacific/Auckland",
		"Pacific/Chatham",
		"Pacific/Enderbury",
		"Pacific/Kiritimati"
	);
}
